Get a promotion by id
curl --request GET \
--url https://api.fourthwall.com/open-api/v1.0/promotions/{promotionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fourthwall.com/open-api/v1.0/promotions/{promotionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fourthwall.com/open-api/v1.0/promotions/{promotionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"code": "<string>",
"discount": {
"percentage": 123,
"type": "FLAT_RATE",
"money": {
"value": 10,
"currency": "USD"
},
"freeShipping": true,
"shippingOption": "Included"
},
"status": "Live",
"requirements": {
"minimumOrderValue": {
"value": 10,
"currency": "USD"
}
},
"usageCount": 123,
"limits": {
"maximumUsesNumber": 123,
"oneUsePerCustomer": true
},
"appliesTo": {
"type": "ENTIRE_ORDER"
},
"type": "SHOP_AUTO_APPLYING",
"title": "<string>"
}{
"code": "CHECKOUT_PROMOTION_DOES_NOT_EXISTS",
"id": "<promotionid>"
}{
"code": "OPEN_API_TOO_MANY_REQUESTS",
"title": "Too many requests",
"status": 429
}Promotions
Get Promotion
Rate limit: 100 requests / 10 seconds per shop. See Rate limiting.
Returns a promotion by id
GET
/
open-api
/
v1.0
/
promotions
/
{promotionId}
Get a promotion by id
OAuth scope:
promotions_readAPI keys have full access to this endpoint.Authorizations
oauthbasicAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
OK
- Auto Applying Shop Promotion
- Auto Applying Shop Promotion
- Auto Applying Shop Promotion
- Auto Applying Shop Promotion
- Auto Applying Shop Promotion
- Multi Memberships Promotion
- Multi Shop Promotion
- Single Memberships Promotion
- Single Shop Promotion
- Fixed Amount
- Fixed Amount
- Fixed Amount
- Fixed Amount
- Free Products
- Free Shipping
- Percentage
- Fixed Amount
- Fixed Amount
- Fixed Amount
- Fixed Amount
- Free Products
- Free Shipping
- Percentage
- Fixed Amount
- Fixed Amount
- Fixed Amount
- Fixed Amount
- Free Products
- Free Shipping
- Percentage
- Fixed Amount
- Fixed Amount
- Fixed Amount
- Fixed Amount
- Free Products
- Free Shipping
- Percentage
Show child attributes
Show child attributes
Available options:
Live, Ended, Archived, AllUsed Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Entire Order
- Entire Order
- Entire Order
- Entire Order With Excluded Products
- Selected Products
- Entire Order
- Entire Order
- Entire Order
- Entire Order With Excluded Products
- Selected Products
- Entire Order
- Entire Order
- Entire Order
- Entire Order With Excluded Products
- Selected Products
- Entire Order
- Entire Order
- Entire Order
- Entire Order With Excluded Products
- Selected Products
- Entire Order
- Entire Order
- Entire Order
- Entire Order With Excluded Products
- Selected Products
Show child attributes
Show child attributes
Allowed value:
"SHOP_AUTO_APPLYING"